From: "Berner Vegge (ETO)" <[email-masked]>
Date: Fri, 16 Mar 2001 11:38:28 +0100

Hello!
When looking at the RFCs for MPLS I find quite a lot of information. 
I also see that there are very many Internet-drafts on MPLS.

From all this documentation I find it hard to get the picture on current 
status for MPLS standardization, and I wonder if someone could help 
me to explain the current status, like for example:
-	What are the main remaining topics to standardize within MPLS?
-	What are the main topics being standardized at the moment?
-	Any comments to why people say that MPLS is not yet mature?

I also wonder what the relation to MPLS forum is. When we have this
IETF working group - why do we need MPLS forum?

Thanks to anyone who can help me!

Best Regards  Berner Vegge